Common

Folder Get

GET
/common/folder/{folderId}/get

Retrieves the details and metadata of a specific folder using its unique ID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

folderId*string

The unique identifier (GUID) of the folder to retrieve.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/common/folder/string/get"
{  "folder": {    "id": "123e4567-e89b-12d3-a456-426614174000",    "name": "Q3 Financial Contracts"  }}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/common/folder/{folderId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "8802d835-171b-4a81-9c5c-ea256ff729cd",  "operationId": "b437a3dbbb085ec20ca0b4a98f1f61c0"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/common/folder/{folderId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "26a97d03-a6b0-43f4-b01d-63a98b508eab",  "operationId": "eafa0277d056516fab03788e900e4624"}